.TH wxGraphicsMatrix 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGraphicsMatrix \- See external documentation: wxGraphicsMatrix\&.
.SH DESCRIPTION
.LP
See external documentation: wxGraphicsMatrix <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxGraphicsObject 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGraphicsMatrix()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
concat(This::wxGraphicsMatrix(), T::wxGraphicsMatrix()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixconcat>\&.
.RE
.LP
.B
get(This::wxGraphicsMatrix()) -> {A::float(), B::float(), C::float(), D::float(), Tx::float(), Ty::float()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixget>\&.
.RE
.LP
.B
getNativeMatrix(This::wxGraphicsMatrix()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixgetnativematrix>\&.
.RE
.LP
.B
invert(This::wxGraphicsMatrix()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixinvert>\&.
.RE
.LP
.B
isEqual(This::wxGraphicsMatrix(), T::wxGraphicsMatrix()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixisequal>\&.
.RE
.LP
.B
isIdentity(This::wxGraphicsMatrix()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixisidentity>\&.
.RE
.LP
.B
rotate(This::wxGraphicsMatrix(), Angle::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixrotate>\&.
.RE
.LP
.B
scale(This::wxGraphicsMatrix(), XScale::float(), YScale::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixscale>\&.
.RE
.LP
.B
translate(This::wxGraphicsMatrix(), Dx::float(), Dy::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixtranslate>\&.
.RE
.LP
.B
set(This::wxGraphicsMatrix()) -> ok
.br
.RS
.LP
Equivalent to set(This, [])\&.
.RE
.LP
.B
set(This::wxGraphicsMatrix(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {a, float()} | {b, float()} | {c, float()} | {d, float()} | {tx, float()} | {ty, float()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixset>\&.
.RE
.LP
.B
transformPoint(This::wxGraphicsMatrix()) -> {X::float(), Y::float()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixtransformpoint>\&.
.RE
.LP
.B
transformDistance(This::wxGraphicsMatrix()) -> {Dx::float(), Dy::float()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicsmatrix\&.html#wxgraphicsmatrixtransformdistance>\&.
.RE
